<?php
class AccountAction extends AdmAction{
	// 用户管理
	public function index(){
		// 导入分页
		import("@.iGuoji.Page");
		// 用户总数
		$Data = M("Zh");
		$zhSum = $Data->count("zh_id");
		// 分页对象
		$page = new Page($zhSum,20);
		// 查询用户
		$Data = M("Zh");
		$zhList = $Data->order("zh_date DESC")->limit($page->firstRow.','.$page->listRows)->select();
		$this->assign("zhList",$zhList);
		// 显示页面
		$this->assign("code",$page->show());
		$this->display();
	}
	// 用户详情
	public function detail(){
		// 获取帐号
		$zh = ABC("zh");
		// 查询帐号
		if($zh){
			$Data = M("Zh");
			$zhObj = $Data->where("zh_name = '$zh'")->find();
			if(!$zhObj){
				$this->error("该用户不存在!");
				exit;
			}
			$this->assign("zhObj",$zhObj);
		}
		// 修改帐号
		if($_POST){
			// 获取参数
			$zhData["zh_pass"] = GET("pass");
			$zhData["zh_email"] = GET("email");
			$zhData["zh_xing"] = GET("xing");
			$zhData["zh_sfz"] = GET("sfz");
			// 修改数据
			$Data = M("Zh");
			$rel = $zhObj = $Data->where("zh_name = '$zh'")->save($zhData);
			if($rel === false){
				$this->error("修改失败!");
				exit;
			}
			$this->success("操作成功!","/Adm/Account/detail.html?zh=".$zh);
			exit;
		}
		// 显示页面
		$this->display();
	}
}
?>